local AddOn = CreateFrame("Frame")
local OnEvent = function(self, event, ...) self[event](self, event, ...) end
AddOn:SetScript("OnEvent", OnEvent)
local PrevTime = 0
local Delay = 10

local function CountShard()
	local shardcount = 0		
	for bag = 0, 4 do		
		for item = 1, GetContainerNumSlots(bag) do	
			_, count, _, _, _, _, link = GetContainerItemInfo(bag, item)
			if link ~= nil then
				itemName, _, _, _, _, _, _, _ = GetItemInfo(link)
				if itemName == "Shadowfrost Shard" then 
					shardcount = shardcount + count
				end					
			end
		end
	end
	return shardcount
end

AddOn:RegisterEvent("CHAT_MSG_GUILD")
AddOn["CHAT_MSG_GUILD"] = function (_, _, ...)
	local CurrTime = GetTime() 
	arg1 = ...
    if (CurrTime - PrevTime >= Delay and (arg1 == "!SHARD" or arg1 == "!shard" or arg1 == "!shards" or arg1 == "!SHARDS")) then
		PrevTime = CurrTime	
		SendChatMessage(format("I Currently Have %d Shard(s).", CountShard()), "GUILD", nil)		
	end	
end

AddOn:RegisterEvent("CHAT_MSG_RAID")
AddOn["CHAT_MSG_RAID"] = function (_, _, ...)
	local CurrTime = GetTime()  
    if (CurrTime - PrevTime >= Delay and (arg1 == "!SHARD" or arg1 == "!shard" or arg1 == "!shards" or arg1 == "!SHARDS")) then
		PrevTime = CurrTime	
		SendChatMessage(format("I Currently Have %d Shard(s).",  CountShard()), "RAID", nil)		
	end	
end
